<div class='geolocation-area' {{did-update this.resetValue @value}}>
  <div
    class='map-container mt-2
      {{if this.isFullscreen "fullscreen" "border border-secondary"}}'
  >
    <Map::Plain as |map|>
      <Map::View
        @map={{map}}
        @padding={{this.mapPadding}}
        @extent={{this.extent}}
      />

      <Map::Layer::Base
        @map={{map}}
        @value={{this.selectedBaseMap}}
        @onSetupError={{this.layerSetupError}}
      />

      <Map::Layer::Vector @map={{map}} as |vector source|>
        {{#if this.tmpValue}}
          <Map::Features::Geojson::Polygon
            @source={{source}}
            @value={{this.tmpValue}}
          />
        {{/if}}

        {{#unless @disabled}}
          {{#if (eq @mode 'free')}}
            {{#if this.tmpValue}}
              <Map::Interaction::Select
                @map={{map}}
                @layer={{vector}}
                as |select features|
              >
                <Map::Interaction::Modify
                  @map={{map}}
                  @features={{features}}
                  @onChange={{this.featureChange}}
                />
              </Map::Interaction::Select>
            {{else}}
              <Map::Interaction::Draw
                @map={{map}}
                @type='Polygon'
                @source={{source}}
                @onDrawEnd={{this.onNewPolygon}}
              />
            {{/if}}
          {{/if}}

          {{#if (eq @mode 'box')}}
            <Map::Interaction::Draw
              @map={{map}}
              @source={{source}}
              @type='Circle'
              @geometryFunction={{this.createBox}}
              @onDrawEnd={{this.onNewPolygon}}
            />
          {{/if}}
        {{/unless}}
      </Map::Layer::Vector>

      <Map::Container @right={{true}} @bottom={{true}}>
        <Map::Controls @map={{map}} />
        <Map::BaseMapSelect
          @list={{this.baseMaps}}
          @selected={{this.selectedBaseMap}}
          @onSelect={{this.selectBaseMap}}
        />
      </Map::Container>
    </Map::Plain>
  </div>
</div>